CodeQualityExtension (Gradle API 8.11)

Package org.gradle.api.plugins.quality

## Class CodeQualityExtension

- java.lang.Object
- - org.gradle.api.plugins.quality.CodeQualityExtension

- Direct Known Subclasses:
    `CheckstyleExtension`, `CodeNarcExtension`, `PmdExtension`

      public abstract class CodeQualityExtension
      extends java.lang.Object

  Base Code Quality Extension.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CodeQualityExtension()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getReportsDir()` | The directory where reports will be generated.
    `java.util.Collection<SourceSet>` | `getSourceSets()` | The source sets to be analyzed as part of the `check` and `build` tasks.
    `java.lang.String` | `getToolVersion()` | The version of the code quality tool to be used.
    `boolean` | `isIgnoreFailures()` | Whether to allow the build to continue if there are warnings.
    `void` | `setIgnoreFailures​(boolean ignoreFailures)` | Whether to allow the build to continue if there are warnings.
    `void` | `setReportsDir​(java.io.File reportsDir)` | The directory where reports will be generated.
    `void` | `setSourceSets​(java.util.Collection<SourceSet> sourceSets)` | The source sets to be analyzed as part of the `check` and `build` tasks.
    `void` | `setToolVersion​(java.lang.String toolVersion)` | The version of the code quality tool to be used.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CodeQualityExtension

          public CodeQualityExtension()

  - ### Method Detail

    - #### getToolVersion

          public java.lang.String getToolVersion()

      The version of the code quality tool to be used.

    - #### setToolVersion

          public void setToolVersion​(java.lang.String toolVersion)

      The version of the code quality tool to be used.

    - #### getSourceSets

          public java.util.Collection<SourceSet> getSourceSets()

      The source sets to be analyzed as part of the `check` and `build` tasks.

    - #### setSourceSets

          public void setSourceSets​(java.util.Collection<SourceSet> sourceSets)

      The source sets to be analyzed as part of the `check` and `build` tasks.

    - #### isIgnoreFailures

          public boolean isIgnoreFailures()

      Whether to allow the build to continue if there are warnings. Example: ignoreFailures = true

    - #### setIgnoreFailures

          public void setIgnoreFailures​(boolean ignoreFailures)

      Whether to allow the build to continue if there are warnings. Example: ignoreFailures = true

    - #### getReportsDir

          public java.io.File getReportsDir()

      The directory where reports will be generated.

    - #### setReportsDir

          public void setReportsDir​(java.io.File reportsDir)

      The directory where reports will be generated.